Bug 947048 - Review Request: wmpager - Simple pager docklet for the Window Maker
Summary: Review Request: wmpager - Simple pager docklet for the Window Maker
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 11:11 UTC by Alexey I. Froloff
Modified: 2013-04-03 14:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 14:31:46 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Alexey I. Froloff 2013-04-01 11:11:40 UTC
Spec URL: http://raorn.fedorapeople.org/packages/wmpager/wmpager.spec
SRPM URL: http://raorn.fedorapeople.org/packages/wmpager/wmpager-1.2-1.20130401git88ece7e5.fc18.src.rpm
Description:

wmpager offers the following features:
- allows workspace switching for up to nine workspaces
- automatically configures according to the number of workspaces
- automagically adjusts to the current workspace
- configurable look and feel

Fedora Account System Username: raorn

Comment 1 Peter Lemenkov 2013-04-02 07:24:57 UTC
I'll review this.

Comment 2 Peter Lemenkov 2013-04-02 07:25:25 UTC
Koji build for F19:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=5197078

Comment 3 Peter Lemenkov 2013-04-02 07:31:50 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent (except for bogus grammar-related messages)

work ~/Desktop: rpmlint  wmpager-*
wmpager.src: W: spelling-error Summary(en_US) docklet -> docket, dock let, dock-let
wmpager.src: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
wmpager.src: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
wmpager.src: W: spelling-error %description -l en_US automagically -> automatically, auto magically, auto-magically
wmpager.x86_64: W: spelling-error Summary(en_US) docklet -> docket, dock let, dock-let
wmpager.x86_64: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
wmpager.x86_64: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
wmpager.x86_64: W: spelling-error %description -l en_US automagically -> automatically, auto magically, auto-magically
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (New BSD, no advertising, 3 clause).
+ The file, containing the text of the license(s) for the package (dockapps/README), is included in %doc
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application which is intended to be run by user so no *.desktop file is required.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.

Comment 4 Alexey I. Froloff 2013-04-02 09:58:43 UTC
New Package SCM Request
=======================
Package Name: wmpager
Short Description: Simple pager docklet for the Window Maker
Owners: raorn
Branches: f18 f19

Comment 5 Gwyn Ciesla 2013-04-02 12:49:45 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.